function vexpower.panel_energybar()
	return {
		type = "group",
		order= 3,
		args = {
			framesize = {name = "Size", type="header", order=1},
			framewidth = {
				name = "width",
				order=2, type = "range",
				desc = "Sets the width of the frame",
				step = 1, min = 0, max = 2000,
				set = function(info,val) vexpower_parameters["frame"]["energy"]["size"]["width"]=val vexpower_initialize(true) end,
				get = function() return vexpower_parameters["frame"]["energy"]["size"]["width"] end
				},
			frameheight = {
				name = "height",
				order=3, type = "range",
				desc = "Sets the height of the frame",
				step = 1, min = 0, max = 2000,
				set = function(info,val) vexpower_parameters["frame"]["energy"]["size"]["height"]=val vexpower_initialize(true) end,
				get = function() return vexpower_parameters["frame"]["energy"]["size"]["height"] end
				},
			framepos = {name = "Position", type="header", order=10},
			frameposx = {
				name = "X-Ordinate",
				order=11, type = "range",
				desc = "Sets the position of the frame",
				step = 1, min = 0, max = 2000,
				set = function(info,val) vexpower_parameters["frame"]["energy"]["position"]["x"]=val vexpower_initialize(true) end,
				get = function() return vexpower_parameters["frame"]["energy"]["position"]["x"] end
				},
			frameposy = {
				name = "Y-Ordinate",
				order=12, type = "range",
				desc = "Sets the position of the frame",
				step = 1, min = -2000, max = 0,
				set = function(info,val) vexpower_parameters["frame"]["energy"]["position"]["y"]=val vexpower_initialize(true) end,
				get = function() return vexpower_parameters["frame"]["energy"]["position"]["y"] end
				},
			framecolor = {name = "Power Pool", type="header", order=20},
			frametypecolored = {
				name = "Use blizzard's colors for mana/energy/etc (opacity can still be changed)",
				order=21, type = "toggle", width="full",
				desc = "Show",
				set = function(self,key) vexpower_parameters["frame"]["energy"]["typecolored"]=key vexpower_initialize(true) end,
				get = function() return vexpower_parameters["frame"]["energy"]["typecolored"] end,
				},
			frameenergycolor = {
				name = "Alternative color", width="double",
				order=32, type = "color", hasAlpha=false,
				desc = "background color used when not using blizzard's preset colors",
				set = function(info,r,g,b,a)
					vexpower_parameters["frame"]["energy"]["color"]["r"]=r
					vexpower_parameters["frame"]["energy"]["color"]["g"]=g
					vexpower_parameters["frame"]["energy"]["color"]["b"]=b
					vexpower_initialize(true) end,
				get = function() return vexpower_parameters["frame"]["energy"]["color"]["r"],
					vexpower_parameters["frame"]["energy"]["color"]["g"],
					vexpower_parameters["frame"]["energy"]["color"]["b"] end,
				},
			opacityframe = {
				name = "opacity",
				order=33, type = "range",
				desc = "Sets the opacity of the frame",
				step = 0.05, min = 0, max = 1,
				set = function(info,val) vexpower_parameters["frame"]["energy"]["color"]["a"]=val vexpower_initialize(true) end,
				get = function() return vexpower_parameters["frame"]["energy"]["color"]["a"] end
				},
			frameenergyusedcolor = {
				name = "Color for 'used'-energy", width="double",
				order=34, type = "color", hasAlpha=false,
				desc = "Color of the energy that has just been used",
				set = function(info,r,g,b,a)
					vexpower_parameters["frame"]["energy"]["usedcolor"]["r"]=r
					vexpower_parameters["frame"]["energy"]["usedcolor"]["g"]=g
					vexpower_parameters["frame"]["energy"]["usedcolor"]["b"]=b
					vexpower_initialize(true) end,
				get = function() return vexpower_parameters["frame"]["energy"]["usedcolor"]["r"],
					vexpower_parameters["frame"]["energy"]["usedcolor"]["g"],
					vexpower_parameters["frame"]["energy"]["usedcolor"]["b"] end,
				},
			opacityused = {
				name = "opacity",
				order=35, type = "range",
				desc = "Sets the opacity of the frame",
				step = 0.05, min = 0, max = 1,
				set = function(info,val) vexpower_parameters["frame"]["energy"]["usedcolor"]["a"]=val vexpower_initialize(true) end,
				get = function() return vexpower_parameters["frame"]["energy"]["usedcolor"]["a"] end
				},
			framebackdrop = {
				name = "texture",
				order=36, type = "select",
				dialogControl = "LSM30_Background",
				desc = "Sets the frame's background",
				values = vexpower.LSM:HashTable("background"),
				set = function(self,key) vexpower_parameters["frame"]["energy"]["bg"]=key vexpower_initialize(true) end,
				get = function() return vexpower_parameters["frame"]["energy"]["bg"] end,
				},
			framecolorbg = {name = "Background", type="header", order=39},
			frameenergybordersize = {
				name = "Background-border size",
				order=40, type = "range",
				desc = "Border size",
				step = 1, min = 1, max = 15,
				set = function(info,val) vexpower_parameters["frame"]["energy"]["border"]["size"]=val vexpower_initialize(true) end,
				get = function() return vexpower_parameters["frame"]["energy"]["border"]["size"] end
				},
			space = {name = "", type ="description", order=41},
			frameenergybordercolor = {
				name = "Background-border color",
				order=42, type = "color", hasAlpha=false, width="double",
				desc = "Border color",
				set = function(info,r,g,b,a)
					vexpower_parameters["frame"]["energy"]["border"]["color"]["r"]=r
					vexpower_parameters["frame"]["energy"]["border"]["color"]["g"]=g
					vexpower_parameters["frame"]["energy"]["border"]["color"]["b"]=b
					vexpower_initialize(true) end,
				get = function() return vexpower_parameters["frame"]["energy"]["border"]["color"]["r"],
					vexpower_parameters["frame"]["energy"]["border"]["color"]["g"],
					vexpower_parameters["frame"]["energy"]["border"]["color"]["b"] end,
				},
			opacityborder = {
				name = "opacity",
				order=43, type = "range",
				desc = "Sets the opacity of the frame",
				step = 0.05, min = 0, max = 1,
				set = function(info,val) vexpower_parameters["frame"]["energy"]["border"]["color"]["a"]=val vexpower_initialize(true) end,
				get = function() return vexpower_parameters["frame"]["energy"]["border"]["color"]["a"] end
				},
			frameenergybgcolor = {
				name = "Background color", width="double",
				order=44, type = "color", hasAlpha=false,
				desc = "Background color",
				set = function(info,r,g,b,a)
					vexpower_parameters["frame"]["energy"]["bgcolor"]["r"]=r
					vexpower_parameters["frame"]["energy"]["bgcolor"]["g"]=g
					vexpower_parameters["frame"]["energy"]["bgcolor"]["b"]=b
					vexpower_initialize(true) end,
				get = function() return vexpower_parameters["frame"]["energy"]["bgcolor"]["r"],
					vexpower_parameters["frame"]["energy"]["bgcolor"]["g"],
					vexpower_parameters["frame"]["energy"]["bgcolor"]["b"] end,
				},
			opacitybg = {
				name = "opacity",
				order=45, type = "range",
				desc = "Sets the opacity of the frame",
				step = 0.05, min = 0, max = 1,
				set = function(info,val) vexpower_parameters["frame"]["energy"]["bgcolor"]["a"]=val vexpower_initialize(true) end,
				get = function() return vexpower_parameters["frame"]["energy"]["bgcolor"]["a"] end
				},
			}
		}
end